Bug 811117 - [RFE][virt-sysprep] net-hwaddr not removed from "ifcfg-*" files on rhel
[RFE][virt-sysprep] net-hwaddr not removed from "ifcfg-*" files on rhel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libguestfs (Show other bugs)
6.2
Unspecified Linux
high Severity medium
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 03:47 EDT by Qin Guan
Modified: 2012-06-20 03:01 EDT (History)
4 users (show)

See Also:
Fixed In Version: libguestfs-1.16.18-2.el6
Doc Type: Enhancement
Doc Text:
No Documentation needed
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 03:01:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Qin Guan 2012-04-10 03:47:11 EDT
Description of problem:
The HWADDR can not be removed from "ifcfg-*" file on RHEL system. "$type/$distro" has the value of "linux/rhel", which is not in the support list.

In the script, net-hwaddr can be removed only when "$type/$distro" is linux/fedora:

    if [ "$net_hwaddr" = "yes" ]; then
        case "$type/$distro" in
            linux/fedora)
            ...
        esac
    fi

Need to add redhat-based linux system into support list, like linux/fedora|linux/rhel|linux/centos|linux/scientificlinux. 

Version-Release number of selected component (if applicable):
libguestfs-tools-1.16.15-1.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. on latest rhel6.3 host, update to use the latest libguestfs-tool (1.16.15-1.el6) package
2. provision a rhel6 kvm guest (named rhel6u2-x64)
3. reset the domain:
# virt-sysprep -d rhel6u2-x64
4. check HWADDR in the ifcfg-* file

Actual results:
The HWADDR is not removed from "ifcfg-*" files

Expected results:
The HWADDR is removed from "ifcfg-*" files. 

Additional info:
Comment 1 Richard W.M. Jones 2012-04-10 09:21:25 EDT
Upstream commit:
https://github.com/libguestfs/libguestfs/commit/5e054f873198b83947de328777d9ced3bfa39ad5

This fix will be backported to libguestfs 1.16.16.
Comment 3 Qixiang Wan 2012-04-17 03:07:36 EDT
Verified with libguestfs-tools-1.16.18-2.el6.x86_64.

Before fix (libguestfs-tools-1.16.15-1.el6.x86_64):

# guestfish --ro -a rhel.raw -i cat /etc/sysconfig/network-scripts/ifcfg-eth0
DEVICE=eth0
BOOTPROTO=dhcp
ONBOOT=yes
HWADDR=52:54:00:19:22:B5  

# virt-sysprep -a rhel.raw
# guestfish --ro -a rhel.raw -i cat /etc/sysconfig/network-scripts/ifcfg-eth0
DEVICE=eth0
BOOTPROTO=dhcp
ONBOOT=yes
HWADDR=52:54:00:19:22:B5  

After fix:

# guestfish --ro -a rhel.raw -i cat /etc/sysconfig/network-scripts/ifcfg-eth0
DEVICE=eth0
BOOTPROTO=dhcp
ONBOOT=yes
HWADDR=52:54:00:19:22:B5  

# virt-sysprep -a rhel.raw
# guestfish --ro -a rhel.raw -i cat /etc/sysconfig/network-scripts/ifcfg-eth0
DEVICE=eth0
BOOTPROTO=dhcp
ONBOOT=yes
Comment 4 Richard W.M. Jones 2012-04-26 08:26:58 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
No Documentation needed
Comment 6 errata-xmlrpc 2012-06-20 03:01:46 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0774.html

Note You need to log in before you can comment on or make changes to this bug.